"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e0d0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e1f0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e280>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e310>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e3a0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e430>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e4c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e550>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e5e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e670>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e700>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e790>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e820>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e8b0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e940>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1e9d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1ea60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1eaf0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1eb80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1ec10>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1eca0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1ed30>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1edc0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1eee0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1ee50>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e1ef70>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22040>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e220d0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e221f0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22280>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22310>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e223a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22430>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e224c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22550>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e225e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22670>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22790>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22820>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e228b0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22940>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e229d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22af0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22b80>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22c10>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22d30>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22dc0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22e50>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e22f70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e260d0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e261f0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26280>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26310>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e263a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26430>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e264c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26550>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26700>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e265e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26790>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26820>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e268b0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26940>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e269d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26af0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26a60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26b80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26c10>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26ca0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26dc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26d30>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26e50>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26ee0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e26f70>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e29040>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e290d0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f70d4e29160>)]
name: str = 'fr_HOCCN'
